Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 733506 - app-office/upwork installs files with unresolved SONAME dependencies
Summary: app-office/upwork installs files with unresolved SONAME dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Aaron W. Swenson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-22 13:17 UTC by Agostino Sarubbo
Modified: 2020-09-24 02:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,7.54 KB, text/plain)
2020-07-22 13:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-22 13:17:25 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-office/upwork installs files with unresolved SONAME dependencies.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-22 13:17:30 UTC
Created attachment 650172 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-09-24 02:11:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e39b3b15b15b2d2ec3482525d28609b0759ab15

commit 7e39b3b15b15b2d2ec3482525d28609b0759ab15
Author:     Bruce Guenter <bruce@untroubled.org>
AuthorDate: 2020-09-03 19:50:09 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-09-24 02:04:23 +0000

    app-office/upwork: Add missing dependencies
    
    RDEPENDS is missing dependencies on x11-libs/libXinerama and
    x11-libs/libXScrnSaver which are linked in to the upwork binaries.
    
    Closes: https://bugs.gentoo.org/733506
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: Bruce Guenter <bruce@untroubled.org>
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 app-office/upwork/upwork-5.4.5.1.ebuild | 2 ++
 1 file changed, 2 insertions(+)